Bug 23804 - rpm doesn't properly download http files with user:passwd specified
Summary: rpm doesn't properly download http files with user:passwd specified
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-01-11 17:22 UTC by Brian Brock
Modified: 2007-04-18 16:30 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-19 05:24:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Brian Brock 2001-01-11 17:22:38 UTC
parsing of the rpm command line for rpm packages located on a remote http
server does not work, rpm complains that the file can not be located
without attempting to authenticate to the remote http server.

user test, passwd test exists for http and ftp service such that the
combination username:passwd of test:test as part of a URL on command line
will download an rpm.

verified for rpm-4.0.4 on a 7.0 machine.

The http server recieving the request logs an attempt to download the file
with status 401 (Authorization Required).  Turning off authentication
mechanisms on the http server allows the download to occur successfully.


filename path in both realms is  /test/zsh-3.0.8-3.i386.rpm

$ rpm -vv -qip http://test:test@host/test/zsh-3.0.8-3.i386.rpm
open of http://test:test@schooner/test/zsh-3.0.8-3.i386.rpm failed: File
not found on server
$ rpm -vv -qip ftp://test:test@host/test/zsh-3.0.8-3.i386.rpm
D: logging into schooner as test, pw test
D: New Header signature
D: Signature size: 149
D: Signature pad : 3
D: file is not regular -- skipping size check
Name        : zsh                          Relocations: (not relocateable)
Version     : 3.0.8                             Vendor: Red Hat, Inc.

...

[package description continues as normally expected]

Comment 1 Jeff Johnson 2001-12-09 18:18:11 UTC
Adding user@passwd only ever worked using an rpm client
against a TIS firewall http server AFAIK. Yes, TIS firewall
http servers are by no means common these days.

Please open a RFE naming a specific type of firewall
that you wish rpm to function with if you want an implementation.


Note You need to log in before you can comment on or make changes to this bug.